<!-- implement -->
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Note Card</title>
  </head>
  <style>
      body{
        background: #afd275;
    }

    *{
        margin: 0;
        box-sizing: border-box;
        font-family: 'Noto Sans JP', sans-serif;
    }

    /* biar kartunya ke samping dan isi 4 perbaris */
    .cards_wrap{
        padding: 10px;
        width: 100%;
        display: flex; 
        flex-wrap: wrap;
        
    }

    .cards_wrap .card_item{
        /* biar ga dempet kartunya dan ukurannya sama */
        padding: 15px 20px;
        width: 25%;
    }

    /* untuk mengatur tiap kartunya */
    .cards_wrap .card_inner{
        background: #c2b9b0;
        border-radius: 5px;
        padding: 30px 20px;
        min-height: 315px;
        width: 100%;
        box-shadow: 0 5px 8px 0 rgba(0, 0, 0, 0.5), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    }

    .to {
        font-weight: 600;
        letter-spacing: 2px;
        font-size: 17px;
 
    }

    .from {
        
        font-weight: 600;
        letter-spacing: 2px;
        font-size: 17px;
 
    }

    .title{
        color: #efe2ba;
        font-size: 19px;
        letter-spacing: 2px;
        font-weight: 600;
        line-height: 50px;
    }

    .message{
        font-size: 14px;
        line-height: 24px;
        color: #7e685a;
        letter-spacing: 1px;
        font-weight: 550;
    }

    .nav {
        background-color: #333;
        display: flex;
        margin: 0;
        font-family: Arial, Helvetica, sans-serif;
    }

    ul {
        /* agar bulletnya hilang */
        list-style-type: none;
    }

    .nav a {
        float: left;
        color: #f2f2f2;
        text-align: center;
        padding: 17px 26px;
        text-decoration: none;
        font-size: 17px;
    }

    .nav a:hover {
        background-color: #ddd;
        color: black;
    }


  </style>
 
  
  <body>
    <header>
        <nav>
          <ul class="nav">
              <li><a href="http://127.0.0.1:8000/lab-4/add-note">Add Note</a></li>
              <li><a href="http://127.0.0.1:8000/lab-4/note-list">Note List</a></li>
              <li><a href="http://127.0.0.1:8000/lab-4/">Note Table</a></li>
            </ul>
        </nav>
    </header>
    <div class="cards"> 
        <div class="cards_wrap">
            <!-- Looping -->
            {% if notes %}
                {% for note in notes %}
                <div class="card_item">
                    <div class="card_inner">
                        <div class="to">To: {{note.to}}</div>
                        <div class="from">From: {{note.fromm}}</div>
                        <div class="title">{{note.title}}</div>
                        <div class="message">{{note.message}}</div>
                    </div>
                </div>
                {% endfor %}
            {% endif %}
            <!-- End Looping -->
        </div>
    </div>
  </body>
</html>
